PKWALIFY(1p)

NAME
pkwalify - Kwalify schema for data structures

SYNOPSIS
    pkwalify [-v] [-s] [-m parse-mod] -f schemafile datafile

DESCRIPTION
pkwalify validates the data from datafile (which may be a YAML or JSON file) against a schema defined with schemafile (which also may be a YAML or JSON file).

It is required that either YAML, YAML::XS or YAML::Syck is installed to parse YAML files, or either JSON or JSON::XS for JSON files. Or the module specified on the command-line.

The program returns the number of errors found in the datafile. An exit status 0 means no errors.

  OPTIONS

-f schemafile
    Specify a schema file, either as YAML or JSON. Required.

-m parse-mod
    Specify the YAML or JSON Perl module to use. Valid modules are: YAML, YAML::XS, YAML::Syck, JSON and JSON::XS.

-s  Be silent if the document is valid.

-v  Show script and module versions and exit.

-h --help
    Show summary of options.

AUTHOR
Slaven Rezić, <srezic@cpan.org>

SEE ALSO
Kwalify, kwalify(1), JSON, JSON::XS, YAML, YAML::XS, YAML::Syck.